using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationPTR
{
    public class PTR2025
    {

    public bool RpCollectionExists = false;
    public int RpCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyin.02.37:Report.TargetFinancial.Year
    /// </summary>
    public int? PTR1 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyin.02.00:Period.Start.Date
    /// </summary>
    public DateTime? PTR500 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyin.02.00:Period.End.Date
    /// </summary>
    public DateTime? PTR501 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyid.02.00:Identifiers.TaxFileNumber.Identifier
    /// </summary>
    public string PTR5 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string PTR7 = null;

    public bool RP_ReportAmendmentCollectionExists = false;
    public int RP_ReportAmendmentCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportAmendment
    /// PTR:pyin.02.28:Report.Amendment.Indicator
    /// </summary>
    public bool? PTR316 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportAmendment
    /// PTR:pyin.02.08:Report.AmendmentType.Code
    /// </summary>
    public string PTR317 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportAmendment
    /// PTR:pyin.02.08:Report.AmendmentReason.Text
    /// </summary>
    public string PTR318 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportAmendment
    /// PTR:pyin.02.08:Report.AmendmentSequence.Number
    /// </summary>
    public decimal? PTR319 = null;

    public bool RP_CurrentPartnershipNameCollectionExists = false;
    public int RP_CurrentPartnershipNameCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPartnershipName
    /// PTR:pyde.02.50:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string PTR6 = null;

    public bool RP_PreviousPartnershipNameCollectionExists = false;
    public int RP_PreviousPartnershipNameCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPartnershipName
    /// PTR:pyde.02.50:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string PTR8 = null;

    public bool RP_CurrentPostalAddressDetailsCollectionExists = false;
    public int RP_CurrentPostalAddressDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.OverseasAddress.Indicator
    /// </summary>
    public bool? PTR216 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string PTR9 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string PTR211 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string PTR10 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string PTR12 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string PTR11 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CurrentPostalAddressDetails
    /// PTR:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string PTR302 = null;

    public bool RP_PreviousPostalAddressDetailsCollectionExists = false;
    public int RP_PreviousPostalAddressDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.OverseasAddress.Indicator
    /// </summary>
    public bool? PTR219 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string PTR14 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string PTR212 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string PTR15 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string PTR17 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string PTR16 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PreviousPostalAddressDetails
    /// PTR:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string PTR303 = null;

    public bool RP_MailRecipientCollectionExists = false;
    public int RP_MailRecipientCollectionCount = 0;

    public bool RP_MailRecipient_PersonNameDetailsCollectionExists = false;
    public int RP_MailRecipient_PersonNameDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:PersonNameDetails
    /// PTR:pyde.02.00:PersonNameDetails.Title.Text
    /// </summary>
    public string PTR19 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:PersonNameDetails
    /// PTR:pyde.02.00:PersonNameDetails.NameSuffix.Text
    /// </summary>
    public string PTR21 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:PersonNameDetails
    /// PTR:pyde.02.00:PersonNameDetails.FamilyName.Text
    /// </summary>
    public string PTR20 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:PersonNameDetails
    /// PTR:pyde.02.00:PersonNameDetails.GivenName.Text
    /// </summary>
    public string PTR22 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:PersonNameDetails
    /// PTR:pyde.02.00:PersonNameDetails.OtherGivenName.Text
    /// </summary>
    public string PTR23 = null;

    public bool RP_MailRecipient_OrganisationDetailsCollectionExists = false;
    public int RP_MailRecipient_OrganisationDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:OrganisationDetails
    /// PTR:pyde.02.50:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string PTR24 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:MailRecipient/:OrganisationDetails
    /// PTR:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string PTR25 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
    /// </summary>
    public int? PTR26 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
    /// </summary>
    public string PTR27 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyin.02.28:Lodgment.FinalReturn.Indicator
    /// </summary>
    public bool? PTR29 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
    /// </summary>
    public string PTR30 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyde.02.48:OrganisationDetails.OrganisationIndustry2006Extended.Code
    /// </summary>
    public string PTR31 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyde.02.42:OrganisationDetails.ActivityEvent.Code
    /// </summary>
    public string PTR32 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
    /// </summary>
    public bool? PTR33 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:pyde.02.43:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
    /// </summary>
    public bool? PTR355 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:rvctc4.02.17:InternationalDealings.CountryByCountryReportingEntityStatus.Indicator
    /// </summary>
    public bool? PTR372 = null;

    public bool RP_IncomeCollectionExists = false;
    public int RP_IncomeCollectionCount = 0;

    public bool RP_Income_BusinessIncomeAndExpensesCollectionExists = false;
    public int RP_Income_BusinessIncomeAndExpensesCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses
    /// PTR:bafpr1.02.04:Income.SmallBusinessEntityNet.Amount
    /// </summary>
    public decimal? PTR352 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses
    /// PTR:bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount
    /// </summary>
    public decimal? PTR59 = null;

    public bool RP_Income_BusinessIncomeAndExpenses_IncomePrimaryProductionCollectionExists = false;
    public int RP_Income_BusinessIncomeAndExpenses_IncomePrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomePrimaryProduction
    /// PTR:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
    /// </summary>
    public decimal? PTR35 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomePrimaryProduction
    /// PTR:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
    /// </summary>
    public decimal? PTR39 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomePrimaryProduction
    /// PTR:gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
    /// </summary>
    public bool? PTR258 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomePrimaryProduction
    /// PTR:bafpr1.02.04:Income.Other.Amount
    /// </summary>
    public decimal? PTR43 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomePrimaryProduction
    /// PTR:bafpr1.02.23:Income.Net.Amount
    /// </summary>
    public decimal? PTR61 = null;

    public bool RP_Income_BusinessIncomeAndExpenses_IncomeNonPrimaryProductionCollectionExists = false;
    public int RP_Income_BusinessIncomeAndExpenses_IncomeNonPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
    /// </summary>
    public decimal? PTR36 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:lrla.02.21:Remuneration.PaymentToForeignResidentGross.Amount
    /// </summary>
    public decimal? PTR38 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
    /// </summary>
    public decimal? PTR41 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
    /// </summary>
    public bool? PTR259 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:bafpr1.02.04:Income.Other.Amount
    /// </summary>
    public decimal? PTR44 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:IncomeNonPrimaryProduction
    /// PTR:bafpr1.02.23:Income.Net.Amount
    /// </summary>
    public decimal? PTR62 = null;

    public bool RP_Income_BusinessIncomeAndExpenses_BusinessExpensesCollectionExists = false;
    public int RP_Income_BusinessIncomeAndExpenses_BusinessExpensesCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
    /// </summary>
    public decimal? PTR45 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:lrla.02.16:Remuneration.WagesAndSalaries.PaymentsContractorAndConsultant.Amount
    /// </summary>
    public decimal? PTR46 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
    /// </summary>
    public decimal? PTR47 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.16:Expense.Operating.CostOfSales.Amount
    /// </summary>
    public decimal? PTR343 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.16:Expense.Operating.BadDebts.Amount
    /// </summary>
    public decimal? PTR344 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.04:Expense.Operating.LeaseTotal.Amount
    /// </summary>
    public decimal? PTR50 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.16:Expense.Operating.Rent.Amount
    /// </summary>
    public decimal? PTR345 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.17:Expense.Operating.Interest.Amount
    /// </summary>
    public decimal? PTR346 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr1.02.27:Expense.Royalties.Amount
    /// </summary>
    public decimal? PTR347 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr1.02.37:Expense.DepreciationAndAmortisation.Amount
    /// </summary>
    public decimal? PTR54 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.16:Expense.Operating.MotorVehicle.Amount
    /// </summary>
    public decimal? PTR348 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
    /// </summary>
    public string PTR56 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr2.02.16:Expense.Operating.RepairsAndMaintenance.Amount
    /// </summary>
    public decimal? PTR349 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr1.02.04:Expense.DeductibleOtherTotal.Amount
    /// </summary>
    public decimal? PTR58 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:BusinessExpenses
    /// PTR:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount
    /// </summary>
    public decimal? PTR328 = null;

    public bool RP_Income_BusinessIncomeAndExpenses_PayAsYouGoWithholdingCollectionExists = false;
    public int RP_Income_BusinessIncomeAndExpenses_PayAsYouGoWithholdingCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:PayAsYouGoWithholding
    /// PTR:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
    /// </summary>
    public decimal? PTR63 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:BusinessIncomeAndExpenses/:PayAsYouGoWithholding
    /// PTR:rvctc2.02.13:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
    /// </summary>
    public decimal? PTR350 = null;

    public bool RP_Income_PartnershipsTrustsPrimaryProductionCollectionExists = false;
    public int RP_Income_PartnershipsTrustsPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsPrimaryProduction
    /// PTR:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
    /// </summary>
    public decimal? PTR65 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsPrimaryProduction
    /// PTR:bafpr1.02.14:Income.TrustShareNet.Amount
    /// </summary>
    public decimal? PTR66 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsPrimaryProduction
    /// PTR:pyde.02.51:Party.TrustType.Code
    /// </summary>
    public string PTR299 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsPrimaryProduction
    /// PTR:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
    /// </summary>
    public decimal? PTR68 = null;

    public bool RP_Income_PartnershipsTrustsNonPrimaryProductionCollectionExists = false;
    public int RP_Income_PartnershipsTrustsNonPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
    /// </summary>
    public decimal? PTR69 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
    /// </summary>
    public decimal? PTR70 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:pyde.02.51:Party.TrustType.Code
    /// </summary>
    public string PTR327 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
    /// </summary>
    public decimal? PTR72 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.04:Income.TrustDistributionFranked.Amount
    /// </summary>
    public decimal? PTR322 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:PartnershipsTrustsNonPrimaryProduction
    /// PTR:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
    /// </summary>
    public decimal? PTR323 = null;

    public bool RP_Income_ShareOfCreditsFromIncomeCollectionExists = false;
    public int RP_Income_ShareOfCreditsFromIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:ShareOfCreditsFromIncome
    /// PTR:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
    /// </summary>
    public decimal? PTR73 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:ShareOfCreditsFromIncome
    /// PTR:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
    /// </summary>
    public decimal? PTR74 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:ShareOfCreditsFromIncome
    /// PTR:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
    /// </summary>
    public decimal? PTR75 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:ShareOfCreditsFromIncome
    /// PTR:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
    /// </summary>
    public decimal? PTR320 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:ShareOfCreditsFromIncome
    /// PTR:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
    /// </summary>
    public decimal? PTR76 = null;

    public bool RP_Income_RentCollectionExists = false;
    public int RP_Income_RentCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Rent
    /// PTR:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
    /// </summary>
    public decimal? PTR77 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Rent
    /// PTR:bafpr1.02.05:Expense.Interest.Amount
    /// </summary>
    public decimal? PTR78 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Rent
    /// PTR:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
    /// </summary>
    public decimal? PTR79 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Rent
    /// PTR:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
    /// </summary>
    public decimal? PTR80 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Rent
    /// PTR:bafpr1.02.51:Expense.BuildToRentCapitalWorksDeduction.Amount
    /// </summary>
    public decimal? PTR503 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income
    /// PTR:bafpr1.02.23:Income.ForestryManagedInvestmentScheme.Amount
    /// </summary>
    public decimal? PTR81 = null;

    public bool RP_Income_GrossInterestCollectionExists = false;
    public int RP_Income_GrossInterestCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:GrossInterest
    /// PTR:bafpr2.02.02:Income.Interest.Gross.Amount
    /// </summary>
    public decimal? PTR82 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:GrossInterest
    /// PTR:rvctc1.02.16:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
    /// </summary>
    public decimal? PTR83 = null;

    public bool RP_Income_DividendsCollectionExists = false;
    public int RP_Income_DividendsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Dividends
    /// PTR:bafpr1.02.05:Income.DividendsUnfranked.Amount
    /// </summary>
    public decimal? PTR84 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Dividends
    /// PTR:bafpr1.02.00:Income.DividendsFranked.Amount
    /// </summary>
    public decimal? PTR85 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Dividends
    /// PTR:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
    /// </summary>
    public decimal? PTR86 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Income/:Dividends
    /// PTR:rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount
    /// </summary>
    public decimal? PTR87 = null;

    public bool RP_Income_OtherAustralianIncomeCollectionExists = false;
    public int RP_Income_OtherAustralianIncomeCollectionCount = 0;
    
    public List<RP_Income_OtherAustralianIncome> RP_Income_OtherAustralianIncomeCollection = null;
    
    public class RP_Income_OtherAustralianIncome 
    {
        public int OccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Income/:OtherAustralianIncome
        /// PTR:bafpr1.02.00:Income.Other.Description
        /// </summary>
        public string PTR88 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Income/:OtherAustralianIncome
        /// PTR:bafpr1.02.04:Income.Other.Amount
        /// </summary>
        public decimal? PTR89 = null;
    }
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount
    /// </summary>
    public decimal? PTR90 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:bafpr1.02.23:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
    /// </summary>
    public decimal? PTR91 = null;

    public bool RP_OtherDeductionsCollectionExists = false;
    public int RP_OtherDeductionsCollectionCount = 0;
    
    public List<RP_OtherDeductions> RP_OtherDeductionsCollection = null;
    
    public class RP_OtherDeductions 
    {
        public int OccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherDeductions
        /// PTR:bafpr1.02.04:Expense.DeductibleOther.Text
        /// </summary>
        public string PTR95 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherDeductions
        /// PTR:bafpr1.02.04:Expense.DeductibleOther.Amount
        /// </summary>
        public decimal? PTR96 = null;
    }
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:bafpr1.02.23:Income.Net.Amount
    /// </summary>
    public decimal? PTR97 = null;

    public bool RP_AttributedForeignIncomeCollectionExists = false;
    public int RP_AttributedForeignIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AttributedForeignIncome
    /// PTR:bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
    /// </summary>
    public bool? PTR102 = null;

    public bool RP_AttributedForeignIncome_ListedCountryCollectionExists = false;
    public int RP_AttributedForeignIncome_ListedCountryCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AttributedForeignIncome/:ListedCountry
    /// PTR:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
    /// </summary>
    public decimal? PTR98 = null;

    public bool RP_AttributedForeignIncome_UnlistedCountryCollectionExists = false;
    public int RP_AttributedForeignIncome_UnlistedCountryCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AttributedForeignIncome/:UnlistedCountry
    /// PTR:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
    /// </summary>
    public decimal? PTR100 = null;

    public bool RP_OtherAssessableForeignSourceIncomeCollectionExists = false;
    public int RP_OtherAssessableForeignSourceIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherAssessableForeignSourceIncome
    /// PTR:bafpr1.02.04:Income.Other.Amount
    /// </summary>
    public decimal? PTR104 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherAssessableForeignSourceIncome
    /// PTR:bafpr1.02.23:Income.Net.Amount
    /// </summary>
    public decimal? PTR105 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherAssessableForeignSourceIncome
    /// PTR:bafpr3.02.18:Income.InternationalDealings.TaxOffset.Amount
    /// </summary>
    public decimal? PTR106 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherAssessableForeignSourceIncome
    /// PTR:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
    /// </summary>
    public decimal? PTR107 = null;

    public bool RP_OverseasTransactionsCollectionExists = false;
    public int RP_OverseasTransactionsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OverseasTransactions
    /// PTR:rvctc4.02.10:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
    /// </summary>
    public bool? PTR108 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OverseasTransactions
    /// PTR:bafpo6.02.15:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
    /// </summary>
    public bool? PTR277 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OverseasTransactions
    /// PTR:bafpr1.02.05:Expense.Interest.Amount
    /// </summary>
    public decimal? PTR137 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OverseasTransactions
    /// PTR:bafpr1.02.27:Expense.Royalties.Amount
    /// </summary>
    public decimal? PTR138 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:rvctc4.02.11:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
    /// </summary>
    public bool? PTR109 = null;

    public bool RP_PersonalServicesIncomeCollectionExists = false;
    public int RP_PersonalServicesIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator
    /// </summary>
    public bool? PTR110 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount
    /// </summary>
    public decimal? PTR265 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount
    /// </summary>
    public decimal? PTR266 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
    /// </summary>
    public bool? PTR268 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:rvctc2.02.15:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
    /// </summary>
    public bool? PTR271 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:rvctc2.02.15:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
    /// </summary>
    public bool? PTR276 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:rvctc2.02.15:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
    /// </summary>
    public bool? PTR272 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:PersonalServicesIncome
    /// PTR:rvctc2.02.15:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
    /// </summary>
    public bool? PTR275 = null;

    public bool RP_TaxationOfFinancialArrangementsCollectionExists = false;
    public int RP_TaxationOfFinancialArrangementsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:TaxationOfFinancialArrangements
    /// PTR:bafpr1.02.04:Income.GainsTotal.Amount
    /// </summary>
    public decimal? PTR251 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:TaxationOfFinancialArrangements
    /// PTR:bafpr1.02.04:Expense.LossesTotal.Amount
    /// </summary>
    public decimal? PTR252 = null;

    public bool RP_NCMIBusinessIncomeCollectionExists = false;
    public int RP_NCMIBusinessIncomeCollectionCount = 0;

    public bool RP_NCMIBusinessIncome_NCMIBusinessIncomePrimaryProductionCollectionExists = false;
    public int RP_NCMIBusinessIncome_NCMIBusinessIncomePrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIBusinessIncome/:NCMIBusinessIncomePrimaryProduction
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR356 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIBusinessIncome/:NCMIBusinessIncomePrimaryProduction
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR357 = null;

    public bool RP_NCMIBusinessIncome_NCMIBusinessIncomeNonPrimaryProductionCollectionExists = false;
    public int RP_NCMIBusinessIncome_NCMIBusinessIncomeNonPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIBusinessIncome/:NCMIBusinessIncomeNonPrimaryProduction
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR358 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIBusinessIncome/:NCMIBusinessIncomeNonPrimaryProduction
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR359 = null;

    public bool RP_NCMIPartnershipsAndTrustsCollectionExists = false;
    public int RP_NCMIPartnershipsAndTrustsCollectionCount = 0;

    public bool RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsPrimaryProductionCollectionExists = false;
    public int RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsPrimaryProduction
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR360 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsPrimaryProduction
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR361 = null;

    public bool RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsPrimaryProduction_PrimaryProductionShareOfNetIncomeCollectionExists = false;
    public int RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsPrimaryProduction_PrimaryProductionShareOfNetIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsPrimaryProduction/:PrimaryProductionShareOfNetIncome
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR362 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsPrimaryProduction/:PrimaryProductionShareOfNetIncome
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR363 = null;

    public bool RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsNonPrimaryProductionCollectionExists = false;
    public int RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsNonPrimaryProductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR364 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsNonPrimaryProduction
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR365 = null;

    public bool RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsNonPrimaryProduction_NonPrimaryProductionShareOfNetIncomeCollectionExists = false;
    public int RP_NCMIPartnershipsAndTrusts_NCMIPartnershipsAndTrustsNonPrimaryProduction_NonPrimaryProductionShareOfNetIncomeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsNonPrimaryProduction/:NonPrimaryProductionShareOfNetIncome
    /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR366 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:NCMIPartnershipsAndTrusts/:NCMIPartnershipsAndTrustsNonPrimaryProduction/:NonPrimaryProductionShareOfNetIncome
    /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
    /// </summary>
    public decimal? PTR367 = null;

    public bool RP_KeyFinancialInformationCollectionExists = false;
    public int RP_KeyFinancialInformationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:KeyFinancialInformation
    /// PTR:bafpo1.02.00:Assets.CurrentTotal.Amount
    /// </summary>
    public decimal? PTR111 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:KeyFinancialInformation
    /// PTR:bafpo1.02.13:Assets.Total.Amount
    /// </summary>
    public decimal? PTR112 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:KeyFinancialInformation
    /// PTR:bafpo1.02.00:Liabilities.CurrentTotal.Amount
    /// </summary>
    public decimal? PTR113 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:KeyFinancialInformation
    /// PTR:bafpo1.02.13:Liabilities.Total.Amount
    /// </summary>
    public decimal? PTR114 = null;

    public bool RP_BusinessNameCollectionExists = false;
    public int RP_BusinessNameCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessName
    /// PTR:pyde.02.50:OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string PTR116 = null;

    public bool RP_BusinessAddressDetailsCollectionExists = false;
    public int RP_BusinessAddressDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.OverseasAddress.Indicator
    /// </summary>
    public bool? PTR222 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line1.Text
    /// </summary>
    public string PTR117 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Line2.Text
    /// </summary>
    public string PTR213 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.LocalityName.Text
    /// </summary>
    public string PTR118 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.Postcode.Text
    /// </summary>
    public string PTR120 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.00:AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string PTR119 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAddressDetails
    /// PTR:pyde.02.08:AddressDetails.Country.Code
    /// </summary>
    public string PTR304 = null;

    public bool RP_BusinessAndProfessionaltemsCollectionExists = false;
    public int RP_BusinessAndProfessionaltemsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:bafpo7.02.04:Assets.Inventories.Total.Amount
    /// </summary>
    public decimal? PTR121 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount
    /// </summary>
    public decimal? PTR122 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:lrla.02.17:Remuneration.WagesAndSalaries.Total.Amount
    /// </summary>
    public decimal? PTR127 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
    /// </summary>
    public string PTR128 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount
    /// </summary>
    public decimal? PTR129 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
    /// </summary>
    public decimal? PTR136 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems
    /// PTR:rvctc3.02.02:Elections.TradingStock.Indicator
    /// </summary>
    public bool? PTR140 = null;

    public bool RP_BusinessAndProfessionaltems_ClosingCollectionExists = false;
    public int RP_BusinessAndProfessionaltems_ClosingCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems/:Closing
    /// PTR:bafpo7.02.04:Assets.Inventories.Total.Amount
    /// </summary>
    public decimal? PTR123 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems/:Closing
    /// PTR:bafpo7.02.18:Assets.Inventories.ValuationMethod.Code
    /// </summary>
    public string PTR124 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems/:Closing
    /// PTR:bafpo1.02.13:Assets.TradeandReceivablesOther.Amount
    /// </summary>
    public decimal? PTR125 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:BusinessAndProfessionaltems/:Closing
    /// PTR:bafpo1.02.13:Liabilities.TradeAndOtherPayablesTotal.Amount
    /// </summary>
    public decimal? PTR126 = null;

    public bool RP_AggregatedTurnoverCollectionExists = false;
    public int RP_AggregatedTurnoverCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AggregatedTurnover
    /// PTR:bafpr1.02.44:Income.AggregatedTurnoverRange.Code
    /// </summary>
    public string PTR411 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:AggregatedTurnover
    /// PTR:bafpr1.02.44:Income.AggregatedTurnover.Amount
    /// </summary>
    public decimal? PTR412 = null;

    public bool RP_CapitalAllowancesDepreciatingAssetsFirstCollectionExists = false;
    public int RP_CapitalAllowancesDepreciatingAssetsFirstCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsFirst
    /// PTR:bafpr3.02.20:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
    /// </summary>
    public decimal? PTR130 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsFirst
    /// PTR:bafpr3.02.20:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
    /// </summary>
    public decimal? PTR131 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsFirst
    /// PTR:bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
    /// </summary>
    public bool? PTR283 = null;

    public bool RP_CapitalAllowancesDepreciatingAssetsAllCollectionExists = false;
    public int RP_CapitalAllowancesDepreciatingAssetsAllCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
    /// </summary>
    public bool? PTR278 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount
    /// </summary>
    public decimal? PTR279 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpr3.02.11:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
    /// </summary>
    public decimal? PTR282 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpr3.02.11:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
    /// </summary>
    public decimal? PTR281 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
    /// </summary>
    public decimal? PTR132 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount
    /// </summary>
    public decimal? PTR133 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpr1.02.44:Expense.SubsequentYearAcceleratedDepreciationDeductionsForAssets.Amount
    /// </summary>
    public decimal? PTR401 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount
    /// </summary>
    public decimal? PTR134 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:CapitalAllowancesDepreciatingAssetsAll
    /// PTR:bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
    /// </summary>
    public decimal? PTR135 = null;

    public bool RP_LowCostDeductionCollectionExists = false;
    public int RP_LowCostDeductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:LowCostDeduction
    /// PTR:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
    /// </summary>
    public decimal? PTR141 = null;

    public bool RP_GeneralPoolDeductionCollectionExists = false;
    public int RP_GeneralPoolDeductionCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:GeneralPoolDeduction
    /// PTR:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
    /// </summary>
    public decimal? PTR142 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// PTR:gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
    /// </summary>
    public decimal? PTR248 = null;

    public bool RP_IncomeTestsCollectionExists = false;
    public int RP_IncomeTestsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:IncomeTests
    /// PTR:bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount
    /// </summary>
    public decimal? PTR254 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:IncomeTests
    /// PTR:bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount
    /// </summary>
    public decimal? PTR255 = null;

    public bool RP_StatementOfDistributionCollectionExists = false;
    public int RP_StatementOfDistributionCollectionCount = 0;
    
    public List<RP_StatementOfDistribution> RP_StatementOfDistributionCollection = null;
    
    public class RP_StatementOfDistribution 
    {
        public int OccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution
        /// PTR:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string PTR157 = null;
    
        public bool RP_StatementOfDistribution_NonIndividualPartnerDetailsCollectionExists = false;
        public int RP_StatementOfDistribution_NonIndividualPartnerDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:NonIndividualPartnerDetails
        /// PTR:pyde.02.50:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string PTR149 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:NonIndividualPartnerDetails
        /// PTR:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string PTR285 = null;
    
        public bool RP_StatementOfDistribution_IndividualPartnerDetailsCollectionExists = false;
        public int RP_StatementOfDistribution_IndividualPartnerDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonNameDetails.Title.Text
        /// </summary>
        public string PTR311 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string PTR312 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string PTR146 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonNameDetails.GivenName.Text
        /// </summary>
        public string PTR147 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string PTR148 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:pyde.02.00:PersonDemographicDetails.Birth.Date
        /// </summary>
        public DateTime? PTR284 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IndividualPartnerDetails
        /// PTR:lrla.02.00:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator
        /// </summary>
        public bool? PTR246 = null;
    
        public bool RP_StatementOfDistribution_PartnerAddressDetailsCollectionExists = false;
        public int RP_StatementOfDistribution_PartnerAddressDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? PTR240 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.Line1.Text
        /// </summary>
        public string PTR151 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.Line2.Text
        /// </summary>
        public string PTR152 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.LocalityName.Text
        /// </summary>
        public string PTR153 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.Postcode.Text
        /// </summary>
        public string PTR155 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.00:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string PTR154 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:PartnerAddressDetails
        /// PTR:pyde.02.08:AddressDetails.Country.Code
        /// </summary>
        public string PTR308 = null;
    
        public bool RP_StatementOfDistribution_IncomeOrLossCollectionExists = false;
        public int RP_StatementOfDistribution_IncomeOrLossCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        /// </summary>
        public decimal? PTR160 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:bafpr1.02.09:Income.DistributionFranked.Amount
        /// </summary>
        public decimal? PTR324 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        /// </summary>
        public decimal? PTR161 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
        /// </summary>
        public decimal? PTR162 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
        /// </summary>
        public decimal? PTR321 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.13:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? PTR351 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? PTR164 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:bafpr1.02.04:Income.SmallBusinessEntityNet.Amount
        /// </summary>
        public decimal? PTR353 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        /// </summary>
        public decimal? PTR249 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount
        /// </summary>
        public decimal? PTR256 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount
        /// </summary>
        public decimal? PTR257 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss
        /// PTR:rvctc1.02.32:IncomeTax.ExplorationCreditsDistributed.Amount
        /// </summary>
        public decimal? PTR342 = null;
    
        public bool RP_StatementOfDistribution_IncomeOrLoss_ShareOfIncomePrimaryProductionCollectionExists = false;
        public int RP_StatementOfDistribution_IncomeOrLoss_ShareOfIncomePrimaryProductionCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomePrimaryProduction
        /// PTR:bafpr1.02.04:Income.BeneficiaryShare.Amount
        /// </summary>
        public decimal? PTR158 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomePrimaryProduction
        /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR368 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomePrimaryProduction
        /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR369 = null;
    
        public bool RP_StatementOfDistribution_IncomeOrLoss_ShareOfIncomeNonPrimaryProductionCollectionExists = false;
        public int RP_StatementOfDistribution_IncomeOrLoss_ShareOfIncomeNonPrimaryProductionCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomeNonPrimaryProduction
        /// PTR:bafpr1.02.04:Income.BeneficiaryShare.Amount
        /// </summary>
        public decimal? PTR159 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomeNonPrimaryProduction
        /// PTR:bafpr1.02.40:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR370 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:StatementOfDistribution/:IncomeOrLoss/:ShareOfIncomeNonPrimaryProduction
        /// PTR:bafpr1.02.40:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? PTR371 = null;
    }

    public bool RP_OtherReportingInformationCollectionExists = false;
    public int RP_OtherReportingInformationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherReportingInformation
    /// PTR:bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
    /// </summary>
    public string PTR315 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:OtherReportingInformation
    /// PTR:pyin.02.23:Report.CompletionHours.Number
    /// </summary>
    public decimal? PTR169 = null;

    public bool RP_ReportingPartyDeclarationCollectionExists = false;
    public int RP_ReportingPartyDeclarationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyin.02.03:Declaration.StatementType.Code
    /// </summary>
    public string PTR291 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyin.02.28:Declaration.StatementAccepted.Indicator
    /// </summary>
    public bool? PTR290 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyin.02.00:Declaration.Statement.Text
    /// </summary>
    public string PTR293 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyin.02.29:Declaration.Signature.Date
    /// </summary>
    public DateTime? PTR289 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyin.02.56:Declaration.SignatoryIdentifier.Text
    /// </summary>
    public string PTR292 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:ReportingPartyDeclaration
    /// PTR:pyde.02.00:PersonUnstructuredName.FullName.Text
    /// </summary>
    public string PTR264 = null;

    public bool IntCollectionExists = false;
    public int IntCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// PTR:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string PTR502 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// PTR:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
    /// </summary>
    public string PTR2 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// PTR:pyid.02.00:Identifiers.TaxAgentClientReference.Text
    /// </summary>
    public string PTR170 = null;

    public bool InT_IntermediaryDeclarationCollectionExists = false;
    public int InT_IntermediaryDeclarationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyin.02.03:Declaration.StatementType.Code
    /// </summary>
    public string PTR296 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyin.02.28:Declaration.StatementAccepted.Indicator
    /// </summary>
    public bool? PTR295 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyin.02.00:Declaration.Statement.Text
    /// </summary>
    public string PTR298 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyin.02.29:Declaration.Signature.Date
    /// </summary>
    public DateTime? PTR294 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyin.02.56:Declaration.SignatoryIdentifier.Text
    /// </summary>
    public string PTR297 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryDeclaration
    /// PTR:pyde.02.00:PersonUnstructuredName.FullName.Text
    /// </summary>
    public string PTR314 = null;

    public bool InT_IntermediaryContactDetailsCollectionExists = false;
    public int InT_IntermediaryContactDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryContactDetails
    /// PTR:pyde.02.00:PersonUnstructuredName.FullName.Text
    /// </summary>
    public string PTR242 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryContactDetails
    /// PTR:pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code
    /// </summary>
    public string PTR244 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryContactDetails
    /// PTR:pyde.02.00:ElectronicContact.Telephone.Area.Code
    /// </summary>
    public string PTR172 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:IntermediaryContactDetails
    /// PTR:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    /// </summary>
    public string PTR173 = null;

    }
}
